# GR Entry against Sale

## Save GR Entry Against Sale :- LOGIC API PUSH - GR DETAILS AGAINST SALES <a href="#heading" id="heading"></a>

This API is used to create GR Entry Against the Sale Bill in LOGIC. This API is mainly used to handover the order to the Transporter for the successfull delivery

### **Authorization Detail**

| Name          | Detail                                                |
| ------------- | ----------------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveGREntryAgainstSale> |
| Request Type  | POST                                                  |
| Authorization | Basic Auth                                            |
| Username      | Demo                                                  |
| Password      | 1                                                     |

### **Request**

```
{
  "Doc_Prefix": "LR",
  "Doc_Date": "02-11-2023",
  "Remarks": null,
  "BranchCode": 2,
  "ListBills": [
    {
      "BillSeries": "ESL",
      "BillNo": "ESL-346",
      "NewBillNo": null,
      "BillNumber": 346,
      "BillDate": null,
      "Agent_Name": "AMAL P",
      "GR_Number_1": "2345654",
      "GR_Date_1": "26-10-2023",
      "GR_Number_2": null,
      "GR_Date_2": null,
      "Pvt_Mark": null,
      "Remarks1": null,
      "Remarks2": null,
      "Remarks3": null,
      "Weight": null,
      "Cases": null,
      "Transpoter_Name": null,
      "Way_Bill_No": null,
      "Challan_No": null,
      "Challan_Date": null,
      "Issue_Time": "06:49 PM",
      "Removal_Time": null,
      "Transport_Mode": null,
      "Vehicle_No": null,
      "Delivery_At": "BLOCK -10 MOHALI",
      "Delivery_Add1": "NLOCK 10 MOHALI",
      "Delivery_Add2": null,
      "Doc_Remarks": null,
      "Packing_Box_Length": 0.0,
      "Packing_Box_Width": 0.0,
      "Packing_Box_Height": 0.0,
      "Packing_Box_Net_Weight": 0.0,
      "ShippingLabel": "",
      "TrackingUrl": ""
    },
    {
      "BillSeries": "ESL",
      "BillNo":"ESL-347",
      "NewBillNo": null,
      "BillNumber": 347,
      "BillDate": null,
      "Agent_Name":"AMAL P",
      "GR_Number_1": "2345655",
      "GR_Date_1": "26-10-2023",
      "GR_Number_2": null,
      "GR_Date_2": null,
      "Pvt_Mark": null,
      "Remarks1": null,
      "Remarks2": null,
      "Remarks3": null,
      "Weight": null,
      "Cases": null,
      "Transpoter_Name": null,
      "Way_Bill_No": null,
      "Challan_No": null,
      "Challan_Date": null,
      "Issue_Time": "07:20 PM",
      "Removal_Time": null,
      "Transport_Mode": null,
      "Vehicle_No": null,
      "Delivery_At": "BLOCK -10 MOHALI",
      "Delivery_Add1":  "NLOCK 10 MOHALI",
      "Delivery_Add2": null,
      "Doc_Remarks": null,
      "Packing_Box_Length": 0.0,
      "Packing_Box_Width": 0.0,
      "Packing_Box_Height": 0.0,
      "Packing_Box_Net_Weight": 0.0,
      "ShippingLabel": "",
      "TrackingUrl": ""
    }
  ]
}
  
```

| Sr.No                     | Name      | Type | Length |
| ------------------------- | --------- | ---- | ------ |
| Doc\_Prefix               | nvarchar  | 100  | yes    |
| Doc\_Date                 | date/time | -    | -      |
| Remarks                   | nvarchar  | 80   | -      |
| BranchCode                | nvarchar  | 8    | yes    |
| BillSeries                | nvarchar  | -    | -      |
| BillNo                    | nvarchar  | 50   | -      |
| NewBillNo                 | nvarchar  | 50   | -      |
| BillNumber                | number    | 50   | -      |
| BillDate                  | date/time | -    | -      |
| Agent\_Name               | nvarchar  | 50   | -      |
| GR\_Number\_1             | num       | 10   | yes    |
| GR\_Date\_1               | date/time | 50   | -      |
| GR\_Number\_2             | nvarchar  | 50   | -      |
| GR\_Date\_2               | date/time | 50   | -      |
| Remarks1                  | nvarchar  | 80   | -      |
| Remarks2                  | nvarchar  | 80   | -      |
| Remarks3                  | nvarchar  | 80   | -      |
| Weight                    | nvarchar  | 50   | -      |
| Cases                     | nvarchar  | -    | -      |
| Transpoter\_Name          | nvarchar  | -    | -      |
| Challan\_No               | nvarchar  | -    | -      |
| Challan\_Date             | nvarchar  | -    | -      |
| Issue\_Time               | nvarchar  | -    | -      |
| Removal\_Time             | num       | 10   | -      |
| Transport\_Mode           | nvarchar  | 80   | -      |
| Vehicle\_No               | nvarchar  | 50   | -      |
| Delivery\_At              | nvarchar  | 50   | -      |
| Delivery\_Add1            | nvarchar  | 50   | -      |
| Delivery\_Add2            | num       | 10   | -      |
| Doc\_Remarks              | nvarchar  | 50   | -      |
| Packing\_Box\_Length      | nvarchar  | -    | -      |
| Packing\_Box\_Width       | nvarchar  | -    | -      |
| Packing\_Box\_Height      | nvarchar  | 50   | -      |
| Packing\_Box\_Net\_Weight | nvarchar  | 50   | -      |
| ShippingLabel             | nvarchar  | 50   | -      |
| TrackingUrl               | nvarchar  | 250  | -      |

### **Response**

```
{
   "LastSavedDocNo": "LR-8",
   "LastSavedCode": 8,
   "Status": true,
   "Message": "Document Saved Sucessfully..."
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/sale/push/gr-entry-against-sale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
